[IPython-dev] [Enthought-Dev] PySide to replace PyQt?

Ville M. Vainio vivainio@gmail....
Thu Aug 27 15:39:51 CDT 2009


On Thu, Aug 27, 2009 at 11:02 PM, Sebastian
Wiesner<basti.wiesner@gmx.net> wrote:

>
> As a matter of fact, its API isn't API-compatible to PyQt4:  static methods
> have different names due to restrictions in boost.python.  It also doesn't seem

Yeah, *some* static methods (when static method has same name as an
instance method).

> Moreover, PyQt-compatibility isn't guaranteed for future releases of PySide.
> The roadmap [1] says:

It's not guaranteed, but the probable route is that any new stuff is
added to the PyQt compatible api, instead of replacing it. They are
seeking community acceptance, and random api breakage is not the way
to foster that.


>> In the future, PySide API may be modified to better support more Pythonic
>> constructs and interfaces. This may break PyQt4 compatibility, and therefore
>> community participation and acceptance is crucial.
>
> For my part, I'm not really convinced, that this whole thing is going to be a
> success story.

Don't underestimate the lure of LGPL. People can tolerate quite a bit
of technical hurdles to get a more permissive license (c.f. Gnome/KDE
in the past - Gnome sucked quite a bit pre-2.0, yet it was the more
popular one among distributors).

-- 
Ville M. Vainio
http://tinyurl.com/vainio


More information about the IPython-dev mailing list